**`Thanos Mavroidis`[NAME]** -NL- London, United Kingdom -NL- **`a.k.mavroidis@gmail.com`[EMAILS_EMAIL]** -NL- LinkedIn -NL- Github -NL- I am an experienced Android developer with over 15 years of experience in software -NL- development including 6 years of Android development. I have extensive experience -NL- in developing high profle Android applications requiring intricate communications -NL- architecture as well as rich layouts. Additionally, I have a solid background in client- -NL- server networking, with more than 10 years of experience. I also have a very strong -NL- academic background with excellent numerical and data analysis skills. -NL- Core Qualifcations -NL-  High quality, high profle Android applications  Java server side applications -NL- (Kotlin & Java) -NL-  Agile methodology -NL-  Prototyped innovative solutions (Android -NL-  Client site work -NL- Wear, NFC, Bluetooth) -NL-  High profle clients: **`Travelex`[EMPLOYER_COMPANY_NAME]**, Nike, -NL-  MQTT protocol in "connected-home" context -NL- Nokia, Volkswagen, Dyson, NetJets -NL-  Compatibility between different SDK versions -NL- and device manufacturers -NL- **`Android Projects`[OTHERS_HEADING]** -NL- TFS -NL- Supercard -NL- Dyson Link Nike+TC -NL- **`Technical Skills`[SKILLS_HEADING]** -NL- Android SDK, NFC, Bluetooth, Android Wear -NL- Kotlin, Java -NL- RxJava 2, Retroft 2, Dagger -NL- JUnit, Mockito, PowerMock, EasyMock, JMock, Cucumber -NL- Gradle, Maven -NL- Tomcat, Jetty, Spring, Hibernate, Grails, Apache Camel, Jakarta POI -NL- Android Studio, IntelliJ, Eclipse -NL- Git, Subversion -NL- Mac OS X, Windows -NL- Postgress, MySQL, Oracle PL/SQL, HSQL -NL- Professional Qualifcations -NL- Sun Certifed Programmer for the Java 2 Platform 1.4 - -NL- 2005 -NL- **`Academic Qualifcations`[EDUCATION_HEADING]** -NL- **`PhD`[EDUCATION_DEGREE]** Particle **`Physics`[EDUCATION_COURSE]** -NL- **`MSc`[EDUCATION_DEGREE]** **`Computing`[EDUCATION_COURSE]** -NL- **`BSc`[EDUCATION_DEGREE]** **`Physics`[EDUCATION_COURSE]** -NL- **`Professional Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Travelex`[EMPLOYER_COMPANY_NAME]** -**` Android Developer, Full-Stack Engineer`[EMPLOYER_ROLE]** -NL- Feb 2016 - Present -NL- Android Projects -NL- TFS Consultant App -NL- The Tax Free Shopping Consultant App is an Android application for tablets intended for **`Travelex`[EMPLOYER_COMPANY_NAME]** -NL- consultants that process VAT re-claim digital forms at an airport. The application is written in Kotlin -NL- and follows Clean Architecture principles in its design, as well as the MVP pattern. It uses RxJava 2 -NL- and Retroft 2 to interface with remote micro-services (towards which, I also contributed) using a -NL- REST, JSON API. -NL- Supercard -NL- The Supercard App was a **`Travelex`[EMPLOYER_COMPANY_NAME]** Android application for customers to manage their SupercardTM -NL- payment card. The **`Travelex`[EMPLOYER_COMPANY_NAME]** SupercardTM card is a payment proxy card that customers can use for -NL- overseas payments at domestic rates. The application enables customers to register for a card, view -NL- their transactions and manage their account. It interfaces with a REST payment API using Retroft and -NL- employes Dagger as a dependency injection framework. In its design, it follows the MVP design -NL- pattern. -NL- Other Projects -NL- I am also contributing to the Tax Free Shopping application server, which interfaces with the TFS -NL- Consultant Android app. This server is written in Kotlin and provides the REST JSON endpoints -NL- utilised by the tablet app, as well as other parties participating in the **`Travelex`[EMPLOYER_COMPANY_NAME]** Tax Free Shopping -NL- ecosystem. -NL- **`AKQA`[EMPLOYER_COMPANY_NAME]** - **`Senior Software Engineer`[EMPLOYER_ROLE]** (Digital Agency) -NL- Feb 2008 - Dec 2015 -NL- Android Projects -NL- Dyson Link -NL- Dyson Link is a "connected home" application designed to control the Dyson 360 EyeTM robotic -NL- vacuum cleaner. It requires fexible and robust communications, implemented with a multi-tier stack -NL- suitable for both local and machine-to-machine lightweight communications as well as for cloud -NL- services remote calls. The application exposes a functionally simple, animation-rich front end. I -NL- worked extensively on all components of the application. -NL- Nike+ Training Camp (N+TC) -NL- N+TC is a content-rich, sports training aid application with many features including integration with -NL- social media and other client services. I worked on all application components, with emphasis on -NL- services integration (content downloading, social media and customer services integration). -NL- Other Projects -NL- I worked on a large variety of Java server-side projects for high profle clients. Projects ranged widely -NL- in size with operating lifetimes from a single day to multiple years. Project subjects were of equal -NL- diversity: football-game digital visualisation, digital maps, image processing servers, automotive and -NL- airline websites, sports related websites and mobile applications with rich social media content, -NL- among various others. -NL- **`IPREO`[EMPLOYER_COMPANY_NAME]** - **`Software Engineer (Financial data provider)`[EMPLOYER_ROLE]** -NL- Sep 2007 - Jan 2008 -NL- **`Prepaid Technologies`[EMPLOYER_COMPANY_NAME]** - **`Java Developer (Pre-paid card software)`[EMPLOYER_ROLE]** -NL- Sep 2005 - Jun 2007 -NL- **`Servista Ltd`[EMPLOYER_COMPANY_NAME]** - **`Java Engineer (Utilities billing software)`[EMPLOYER_ROLE]** -NL- Jul 2004 - Jun 2005 -NL- **`MMG Energy`[EMPLOYER_COMPANY_NAME]** -**` Software Developer`[EMPLOYER_ROLE]** (Energy market trading software) -NL- Dec 2003 - Mar 2004 -NL- **`Lucent Technologies/CSG Systems`[EMPLOYER_COMPANY_NAME]** - **`Senior Java Developer (Telecoms and utilities billing software)`[EMPLOYER_ROLE]** -NL- Oct 1999 - Oct 2003 -NL- **`Education`[EDUCATION_HEADING]** -NL-  **`PhD`[EDUCATION_DEGREE]** in High Energy **`Physics`[EDUCATION_COURSE]** -**` Queen Mary and Westfeld College, University of London`[EDUCATION_INSTITUTE]** -NL-  **`MSc`[EDUCATION_DEGREE]** in **`Computing`[EDUCATION_COURSE]** - **`Imperial College of Science Technology & Medicine, University of -NL- London `[EDUCATION_INSTITUTE]**-NL-  **`BSc`[EDUCATION_DEGREE]** in **`Physics`[EDUCATION_COURSE]**, 1st class -**` Queen Mary and Westfeld College, University of London`[EDUCATION_INSTITUTE]** -NL- 